cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

How to Upgrade Windchill 10.2 Essentials worker / creo view adapter

SOLVED
Highlighted
Mat
Regular Member

How to Upgrade Windchill 10.2 Essentials worker / creo view adapter

Hi there,

I am currently running PDM Essentials 10.2 M020 with Creo Parametric worker (Creo 2.0 M110) for visualization.

Since I want to upgrade all clients to Creo 3.0 M030, I have to upgrade the server installation also.

How do I do this?

Which configuration file for windchill and for Creo Parametric has to be adjusted?

Do I need a special installation package?

Thanks

Matthias

1 ACCEPTED SOLUTION

Accepted Solutions
Mat
Regular Member
(in response to Mat)

Re: How to Upgrade Windchill 10.2 Essentials worker / creo view adapter

It turns out, that it is quite simple (if you know which buttons to push).

1. Install a regular copy of Creo 3.0 Parametric on Your machine, where the worker is located. In my case this is also the PDM Essentials Server System.

2. Open "adapter.pvi" located in "....\creo_view_adapters\proe_setup" (In my case: "D:\ptc\creo_view_adapters\proe_setup").

3. Change Start Command to "parametric.bat" in Your new Installation path.

4. Change Version to "Creo Parametric 3.0"

5. Change Date-Code to "F000 or later"

6. Press "Setup" and confirm the following dialogue to make those changes working.

As soon as the worker restarts (no windchill restart necessary) it should use Creo3 instead of Creo2.

Works fine for now:

View solution in original post

4 REPLIES 4

Re: How to Upgrade Windchill 10.2 Essentials worker / creo view adapter

While you will need to upgrade the Creo version on your CAD worker for visualization, the Windchill server should support Creo 3 just fine.

http://support.ptc.com/WCMS/files/67180/en/CreoDataManagementCompatibilityRoadmap_02252015.pdf

http://support.ptc.com/WCMS/files/124498/en/PTCWindchillCreoSWCompatibility10x_2252015.pdf

Now if you are asking how to update a server installation of Creo itself, that is a different question.

Re: How to Upgrade Windchill 10.2 Essentials worker / creo view adapter

Hi Matthias,

As Tom mentioned in the reference documents, this is supported. In order to update the installation on server re-run the 10.2 M020 PSI again and select update install. You can then select the visualization components and use the latest CD of Creo View in the staging.If I remember correctly there is always backward compatibility with Windchill for latest Creo View versions. The only thing is once PTC confirms the latest version has been tested and confirms it is supported officially.

Regards

~Syed

Mat
Regular Member
(in response to TomU)

Re: How to Upgrade Windchill 10.2 Essentials worker / creo view adapter

Now if you are asking how to update a server installation of Creo itself, that is a different question.

Well, that's the point.

Meanwhile I found out, that there is a specific "view adapter" package at ptc.com -> support -> software downloads -> Order or download software uptdates -> Windchill PDM Essentials:

But I still need some assistance.

Mat
Regular Member
(in response to Mat)

Re: How to Upgrade Windchill 10.2 Essentials worker / creo view adapter

It turns out, that it is quite simple (if you know which buttons to push).

1. Install a regular copy of Creo 3.0 Parametric on Your machine, where the worker is located. In my case this is also the PDM Essentials Server System.

2. Open "adapter.pvi" located in "....\creo_view_adapters\proe_setup" (In my case: "D:\ptc\creo_view_adapters\proe_setup").

3. Change Start Command to "parametric.bat" in Your new Installation path.

4. Change Version to "Creo Parametric 3.0"

5. Change Date-Code to "F000 or later"

6. Press "Setup" and confirm the following dialogue to make those changes working.

As soon as the worker restarts (no windchill restart necessary) it should use Creo3 instead of Creo2.

Works fine for now:

View solution in original post